package com.supervision.chat.controller;

import cn.hutool.json.JSONUtil;
import com.supervision.chat.client.LangChainChatService;
import com.supervision.chat.client.dto.CreateBaseDTO;
import com.supervision.chat.client.dto.LangChainChatRes;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.service.annotation.PostExchange;

import java.util.concurrent.Executors;

@Slf4j
@RequestMapping("chat/test/")
@RestController
@RequiredArgsConstructor
public class TestController {

    private final LangChainChatService langChainChatClient;

    @GetMapping("test")
    public void test(){
        CreateBaseDTO createBaseDTO = new CreateBaseDTO();
        createBaseDTO.setKnowledge_base_name("11111111");
        LangChainChatRes chat = langChainChatClient.chat(createBaseDTO);
        log.info(JSONUtil.toJsonStr(chat));
    }

}
